#!/bin/bash

if [ -z $1 ] 
then
	echo "usage:"
	echo ""
	echo "refreshme.sh <mms installation>"
	exit
fi


if [ ${0:0} = "." ]
then
	work=$PWD$0
else
	work=$0
fi

scripts=${work/refreshme.sh/}
workspace=$scripts/../../

echo "Workspace Path: $workspace"
echo ""

# create destination

mkdir -p $1/plugins/mmsmixerplugin

cp -v $workspace/mmsmixerplugin/Debug/libmmsmixerplugin.so $1/plugins/mmsmixerplugin
cp -v $workspace/mmsmixerplugin/share/* $1/plugins/mmsmixerplugin

