#!/bin/bash

if [ -z $1 ] 
then
	echo "usage:"
	echo ""
	echo "registerme.sh <mms installation>"
	exit
fi


if [ ${0:0} = "." ]
then
	work=$PWD$0
else
	work=$0
fi

scripts=${work/registerme.sh/}
workspace=$scripts/../../

echo "Workspace Path: $workspace"
echo ""

# create destination

mkdir -vp $1/plugins/mmsmixerplugin

cp -v $workspace/mmsmixerplugin/Debug/libmmsmixerplugin.so $1/plugins/mmsmixerplugin
cp -v $workspace/mmsmixerplugin/share/* $1/plugins/mmsmixerplugin

echo
echo "updating db"
sqlite3 $1/db/mmsconfigdb <$workspace/mmsmixerplugin/scripts/register.sql


