#!/bin/bash

if [ -z $1 ] 
then
	echo "usage:"
	echo ""
	echo "registerme.sh <mms installation>"
	exit
fi


if [ ${0:0} = "." ]
then
	work=$PWD$0
else
	work=$0
fi

scripts=${work/registerme.sh/}
workspace=$scripts/../../

echo "Workspace Path: $workspace"
echo ""

# create destination

mkdir -vp $1/plugins/mmsmusicplugin

cp -v $workspace/mmsmusicplugin/Debug/libmmsmusicplugin.so $1/plugins/mmsmusicplugin
cp -v $workspace/mmsmusicplugin/share/* $1/plugins/mmsmusicplugin
cp -vr $workspace/mmsmusicplugin/share/themes $1/plugins/mmsmusicplugin

echo
echo "updating db"
sqlite3 $1/db/mmsconfigdb <$workspace/mmsmusicplugin/scripts/register.sql

