#!/bin/bash
PLUGINNAME=mmsepgimportplugin

function usage {
	echo "usage:"
	echo ""
	echo `basename $0` "<mms installation>"
	exit 1
}

if [ -z $1 ] 
then
	PREFIX=`pkg-config --variable=prefix mmstools`
	if [ -z $PREFIX ]
	then
		usage;
	fi
else
	PREFIX=$1
fi


if [ ${0:0} = "." ]
then
	work=$PWD$0
else
	work=$0
fi 

scripts=${work/`basename $0`/}
workspace=$scripts/../../

echo "Workspace Path: $workspace"
echo ""

cp -v $workspace/$PLUGINNAME/Debug/lib$PLUGINNAME.so $PREFIX/plugins/$PLUGINNAME
